package gov.va.vinci.dart.db;

import java.util.List;

import gov.va.vinci.dart.biz.RequestLocationDocument;

public interface RequestLocationDocumentDAO {

	void save(RequestLocationDocument document);
	void delete(RequestLocationDocument document);
	List<RequestLocationDocument> listByRequestId(final int requestId);
	List<RequestLocationDocument> listByDocumentId(final int documentId);
	List<RequestLocationDocument> listByRequestAndLocationId(final int requestId, final int locationId);
	List<RequestLocationDocument> listActiveDocsByRequestAndLocationId(final int requestId, final int locationId);
}
